Bug 182417 - RFE: Clearer error message when mirror list fails
RFE: Clearer error message when mirror list fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 08:50 EST by Clair Shaw
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 13:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clair Shaw 2006-02-22 08:50:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
Whenever fedora.redhat is down, the mirror list cannot be found, so yum won't work. The error message that is currently provided ("Cannot find a valid baseurl for repo: updates-released") isn't very clear. To not worry or confuse users, could this error message be made clearer?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A
  

Additional info:
Comment 1 Patrick Barnes 2006-02-22 08:56:45 EST
This is the same error message as when all requests fail.  Unfortunately, this 
doesn't allow a user to distinguish between all of the mirrors failing (or 
baseurls, depending upon config) and the mirrorlist not being reachable. 
 
If mirrorlist is set, and yum is unable to retrieve the specified URL, it 
should report a more descriptive message, such as: 
 
Unable to retrieve mirror list for repo: base 
 
It could then exit with any other error, including the current one.  I realize 
that combining options may allow other URLs not provided by the mirrorlist to 
be used, so making a mirrorlist failure a fatal error may not be reasonable. 
 
Comment 2 Patrick Barnes 2006-02-22 08:59:28 EST
I'm changing the version to 'devel'.  This enhancement needs to be fixed for 
future releases.  Once fixed in devel, we can talk about backporting it. 
 
Comment 3 Jeremy Katz 2007-04-25 13:24:49 EDT
We actually print out that the mirror list can't be opened now.

Note You need to log in before you can comment on or make changes to this bug.